package
{
	import flash.utils.getTimer;
	
	public class TimeWatcher
	{
		private static var watchpoint:Object = new Object();
		
		public static function start(name:String):void
		{
			if(watchpoint[name] == undefined) {
				watchpoint[name] = new Object();
			}
			
			watchpoint[name].starttime = getTimer();
			return;
		}
		
		public static function end(name:String):void
		{
			if(watchpoint[name] == undefined) {return;}
			
			watchpoint[name].time += getTimer() - watchpoint[name].starttime;
			return;
		}
		
		public static function output():String
		{
			var result:String = "";
			
			for(var name:String in watchpoint)
			{
				if(watchpoint[name].time == 0) {continue;}
				
				result += name+" : "+watchpoint[name].time+"ms\n";
				watchpoint[name].time = 0;
			}
			
			return result;
		}
	}
}