﻿package
{
	import flash.display.Sprite;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.utils.ByteArray;
	import flash.net.*;
	import conv.*;
	
	public class agrsouko_conv extends Sprite
	{
		public function agrsouko_conv()
		{
			var stagelist:Object = 
			{
			"1-1":StageEncoder.encode(StageData.load("1-1")),
			"1-2":StageEncoder.encode(StageData.load("1-2")),
			"1-3":StageEncoder.encode(StageData.load("1-3")),
			"1-4":StageEncoder.encode(StageData.load("1-4")),
			"1-5":StageEncoder.encode(StageData.load("1-5")),
			"1-6":StageEncoder.encode(StageData.load("1-6")),
			"2-1":StageEncoder.encode(StageData.load("2-1")),
			"2-2":StageEncoder.encode(StageData.load("2-2")),
			"2-3":StageEncoder.encode(StageData.load("2-3")),
			"2-4":StageEncoder.encode(StageData.load("2-4")),
			"2-5":StageEncoder.encode(StageData.load("2-5")),
			"2-6":StageEncoder.encode(StageData.load("2-6")),
			"2-7":StageEncoder.encode(StageData.load("2-7")),
			"2-8":StageEncoder.encode(StageData.load("2-8"))
			};
			
			var bin:ByteArray = new ByteArray();
			
			bin.writeObject(stagelist);
			
			bin.compress();
			output("stage.dat", bin);
			
			var table:Array = StageData.load("1-5");
			
			var textfield:TextField = new TextField();
			textfield.text = "";
			textfield.width = 640;
			textfield.height = 480;
			
			for(var y:int = 0; y < table.length; y++)
			{
				for(var x:int = 0; x < table[y].length; x++)
				{
					if(table[y][x].toString().length == 1)
					{
						textfield.appendText(" ");
					}
					textfield.appendText(table[y][x].toString());
				}
				textfield.appendText("\n");
			}
			textfield.setTextFormat(new TextFormat("_等幅", 15));
			addChild(textfield);
		}
		
		private function output(name:String, data:ByteArray):void
		{
			var bin:ByteArray = new ByteArray();
			bin.writeByte(name.length);
			bin.writeMultiByte(name, "euc-jp");
			bin.writeBytes(data);
			
			var req:URLRequest = new URLRequest();
			req.url = "output.cgi";
			req.data = bin;
			req.method = URLRequestMethod.POST;
			
			//sendToURL(req);
			navigateToURL(req, "_blank");
		}
	}
}
