package game.obj.system
{
	import game.obj.GameObject;
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class SystemMessage extends GameObject
	{
		private var text:String;
		
		public function SystemMessage(text:String)
		{
			this.text = text;
		}
		
		override public function init():void
		{
			registerObject("PRIO_SYSTEM", "DEPTH_MESSAGE");
			grp = new Graphic("GRP_MESSAGE");
			
			x = 160;
			y = 120;
			lockscreen = true;
			
			changeAction("act_main");
		}
		
		public function act_main():void
		{
			grp.frame = text;
			
			if(count == 2 || count == 3) {
				grp.frame += "_FLASH";
			}
		}
	}
}