package game.system
{
	import flash.utils.ByteArray;
	
	public class GameData
	{
		public var mode:String = "";
		public var interval:uint = 0;
		
		public var course:int = 1;
		public var stage:int = 1;
		
		public var score:int = 0;
		public var time:Number = 90;
		
		public var records:Array = new Array();
		
		public var replay:ByteArray = null;
		public var sequence:Array = new Array();
		
		public static function timeToString(time:Number):String
		{
			var min:String = MathEx.addZero(Math.floor(time / 60), 2);
			var sec:String = MathEx.addZero(Math.floor(time % 60), 2);
			var dn:String  = MathEx.addZero(Math.floor(time*100 % 100), 2);
			return min+"\'"+sec+"."+dn;
		}
	}
}