package game.system
{
	import common.LocalDataManager;
	
	public class Option extends LocalData
	{
		public function Option()
		{
			func_ldm = new LocalDataManager("option");
			
			data.palette = "";
			data.fps = "";
			func_ldm.setDefault("palette", "NORMAL");
			func_ldm.setDefault("fps", "OFF");
		}
		
		// --------------------------------//
		// 初期化
		// --------------------------------//
		override public function initialize():void
		{
			func_ldm.initialize();
			
			for(var i:String in data)
			{
				data[i] = func_ldm.getDefault(i);
			}
			
			return;
		}
		
		// --------------------------------//
		// 保存
		// --------------------------------//
		override public function saveData():void
		{
			for(var i:String in data)
			{
				func_ldm.saveData(i, data[i]);
			}
			
			return;
		}
		
		// --------------------------------//
		// ローカルデータから読み込み
		// --------------------------------//
		override public function loadData():void
		{
			for(var i:String in data)
			{
				data[i] = func_ldm.loadData(i);
			}
			
			return;
		}
	}
}
