﻿package game.system
{
	import common.Screen;
	import game.obj.GameObject;
	import flash.display.BitmapData;
	
	public class SceneBase extends ObjBase
	{
		public var screen:Screen;
		
		protected var camera_x:Number = 0;
		protected var camera_y:Number = 0;
		
		public var func_key:KeyWatcher;
		public var func_obj:ObjectManager;
		internal var func_scene:SceneController;
		
		public function changeScene(scene:SceneBase):void {func_scene.changeScene(scene);}
		
		public function endScene():void
		{
			return;
		}
		
		public function createObject(instance:GameObject):*
		{
			instance.func_key = func_key;
			instance.scene = this;
			instance.init();
			return instance;
		}
		
		public function getCameraX():Number
		{
			return Math.floor(camera_x);
		}
		
		public function getCameraY():Number
		{
			return Math.floor(camera_y);
		}
		
		// --------------------------------//
		// 共通関数
		// --------------------------------//
		override public function main():void
		{
			func_obj.run();
			
			super.main();
			return;
		}
		
		override public function draw(surface:BitmapData):void
		{
			func_obj.draw(surface);
			return;
		}
	}
}