﻿package conv
{
	import flash.utils.ByteArray;
	
	public class StageEncoder
	{
		public static function encode(table:Array):ByteArray
		{
			var bin:ByteArray = new ByteArray();
			
			var width:int = table[0].length;
			var height:int = table.length;
			
			bin.writeByte(width);
			bin.writeByte(height);
			
			for(var y:int = 0; y < height; y++)
			{
				for(var x:int = 0; x < width; x++)
				{
					bin.writeByte(table[y][x]);
				}
			}
			
			return bin;
		}
		
		public static function decode(bin:ByteArray):Array
		{
			var table:Array = new Array();
			
			bin.position = 0;
			
			var width:int = bin.readByte();
			var height:int = bin.readByte();
			
			for(var y:int = 0; y < height; y++)
			{
				table[y] = new Array();
				
				for(var x:int = 0; x < width; x++)
				{
					table[y].push(bin.readByte());
				}
			}
			
			return table;
		}
	}
}