package game.obj.box
{
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class Box extends BoxBase
	{
		override public function init():void
		{
			registerObject("PRIO_BOX", "DEPTH_BOX");
			grp = new Graphic("GRP_BOX");
			
			boxtop = createObject(new Top(this));
			
			changeAction("act_main");
			return;
		}
	}
}

import game.obj.GameObject;
import game.system.Database;
import flash.geom.Rectangle;
import game.system.Graphic;

class Top extends GameObject
{
	private var parent:GameObject;
	public function Top(parent:GameObject)
	{
		this.parent = parent;
	}
	
	override public function init():void
	{
		registerObject("PRIO_BOX_TOP", "DEPTH_BOX_TOP");
		grp = new Graphic("GRP_BOXTOP");
		
		changeAction("act_main");
	}
	
	public function act_main():void
	{
		x = parent.x;
		y = parent.y;
		grp.frame = parent.grp.frame;
		
		if(parent.exists()) {
			vanish();
		}
	}
}