package game.obj.effect
{
	import game.obj.GameObject;
	import game.system.Database;
	import game.system.Graphic;
	import flash.geom.Rectangle;
	
	public class Smoke extends GameObject
	{
		public var vx:Number;
		public var vy:Number;
		
		public function Smoke(vx:Number = 0, vy:Number = 0)
		{
			this.vx = vx;
			this.vy = vy;
		}
		
		override public function init():void
		{
			registerObject("PRIO_EFFECT", "DEPTH_EFFECT");
			grp = new Graphic("GRP_SMOKE");
			
			changeAction("act_main");
			return;
		}
		
		public function act_main():void
		{
			x += vx;
			y += vy;
			
			vx /= 1.5;
			vy /= 1.5;
			
			if(count == 8*2)
			{
				vanish();
				return;
			}
			
			//アニメ
			grp.frame = Math.floor(count/2).toString();
		}
	}
}